# **1.3.4**: 証明書の操作

## `cfssl`

`cfssl`による各種証明書発行のための設定ファイル例です。
`hosts`, `names` は必要に応じて適当な値に変更してください。
`key`に指定する値はRSAの場合には鍵長は2048ビット以上、楕円曲線暗号で鍵長 256 ビット以上を推奨します。

- `ca.json`: CA証明書発行に必要なCSRへのインプット情報を記載したJSONファイル (リスト42)
- `ca-config.json`: 証明書作成に関するパラメータを記載した設定ファイル (リスト45)
- `server.json`: サーバ証明書発行に必要なCSRへのインプット情報を記載したJSONファイル (リスト46)
- `client.json`: クライアント証明書発行に必要なCSRへのインプット情報を記載したJSONファイル (リスト49)

## `nginx`

「発行した証明書を使ってmTLSで接続する」で紹介したnginxを使ったmTLS接続のための設定ファイル例です。
設定ファイル例では発行したサーバ証明書を `cert.pem` 、`key.pem` として配置していますが、パスやファイル名は必要に応じて適当に変更してください。`my-server.example.com`はサーバ証明書のSANの値(またはSubjectのCNの属性の値)に合わせて変更してください。

- `nginx.conf`: nginxの設定ファイル例 (リスト54)
